apiVersion: v1
kind: Service
metadata:
  name: fiorano-service
  labels:
    app: fioranoams12v1
spec:
  ports:
    - name: peer
      port: 1880
      targetPort: 1880
      nodePort: 31880
    - name: dash
      port: 1980
      targetPort: 1980
      nodePort: 31980
    - name: apimgmt
      port: 1981
      targetPort: 1981
      nodePort: 31981
    - name: cassandra
      port: 9042
      targetPort: 9042
      nodePort: 31042
    - name: postgres
      port: 5432
      targetPort: 5432
      nodePort: 31432
    - name: server
      protocol: TCP
      port: 2147
      targetPort: 2147
      nodePort: 32147
    - name: backup
      protocol: TCP
      port: 2148
      targetPort: 2148
      nodePort: 32148  
    - name: intra-node
      port: 7000
      targetPort: 7000
      nodePort: 31000
    - name: tls-intra-node
      port: 7001
      targetPort: 7001
      nodePort: 31001
    - name: jmx
      port: 7199
      targetPort: 7199
      nodePort: 31099
  clusterIP: 10.96.0.20 
  selector:
    app: fioranoams12v1
  type: NodePort
